## globus-rls-server 4.9

=== debian/changelog ===
globus-rls-server (4.9-6) unstable; urgency=low

  * Update to Globus Toolkit 5.0.4
  * Drop patch globus-rls-server-db.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 06 Jun 2011 13:00:06 +0200

globus-rls-server (4.9-5) unstable; urgency=low

  * Add README file
  * Revert broken mysql change from upsream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Apr 2011 19:20:14 +0200

globus-rls-server (4.9-4) unstable; urgency=low

  * Update to Globus Toolkit 5.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Feb 2011 15:56:51 +0100

globus-rls-server (4.9-3) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 13:07:50 +0200

globus-rls-server (4.9-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-rls-server (4.9-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Jan 2010 11:31:12 +0100

globus-rls-server (4.7-5) unstable; urgency=low

  * Remove the SXXrls.in file
  * Remove hardcoded port number in init.d startup script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 08 Jun 2009 20:44:58 +0200

globus-rls-server (4.7-4) unstable; urgency=low

  * Fix rule dependencies in the debian/rules file.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 13 May 2009 23:12:37 +0200

globus-rls-server (4.7-3) unstable; urgency=low

  * Initial release (Closes: #514487).
  * Rebuilt to correct libltdl dependency.
  * Preparing for other 64bit platforms than amd64.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 18 Apr 2009 20:17:35 +0200

globus-rls-server (4.7-2) UNRELEASED; urgency=low

  * Only quote the Apache-2.0 license if necessary.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Mar 2009 09:21:25 +0100

globus-rls-server (4.7-1) UNRELEASED; urgency=low

  * First build.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Jan 2009 17:36:07 +0100
