=== debian/control ===
Source: globus-rls-server
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt, grid-packaging-tools, libglobus-rls-client-dev (>= 5.2), libglobus-common-dev (>= 3), libglobus-usage-dev, unixodbc-dev, libglobus-io-dev (>= 3), globus-core (>= 5.15-5)
Standards-Version: 3.9.2
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-rls-server
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-rls-server
Homepage: http://www.globus.org/

Package: globus-rls-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: Globus Toolkit - Replica Location Service Server
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-rls-server package contains:
 Replica Location Service Server
 Replica Location Service Server Setup

Package: globus-rls-server-dbg
Section: debug
Priority: extra
Architecture: any
Depends: globus-rls-server (= ${binary:Version}), ${misc:Depends}
Description: Globus Toolkit - Replica Location Service Server Debug Symbols
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The globus-rls-server-dbg package contains:
 Replica Location Service Server Debug Symbols
