=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

name = globus-rls-server
_name = globus_rls_server
version = 4.9

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
flavor = gcc64pthr
else
flavor = gcc32pthr
endif

sed: sed-stamp
	:

sed-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in server.c Doc/man/man8/globus-rls-server.8 ; do \
	  sed 's!/usr/local/etc!/etc!g' -i $$f ; \
	done

	touch $@

unsed: cleanup
	dh_testdir

	if [ -e sed-stamp ] ; then \
	  for f in server.c Doc/man/man8/globus-rls-server.8 ; do \
	    sed 's!\([ \"]\)/etc!\1/usr/local/etc!g' -i $$f ; \
	  done ; \
	fi

	rm -f sed-stamp

configure: configure-stamp
	:

configure-stamp: sed-stamp
	dh_testdir

	/usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e $$f.dist ] ; then \
	    mv $$f $$f.dist ; \
	    cp -f /usr/share/misc/$$f $$f ; \
	  fi ; \
	done

	./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --sysconfdir='$${datadir}/globus' \
	   --with-flavor=$(flavor)

	cd setup && /usr/share/globus/globus-bootstrap.sh

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! -e setup/$$f.dist ] ; then \
	    mv setup/$$f setup/$$f.dist ; \
	    cp -f /usr/share/misc/$$f setup/$$f ; \
	  fi ; \
	done

	cd setup && ./configure \
	   --host=$(DEB_HOST_GNU_TYPE) \
	   --build=$(DEB_BUILD_GNU_TYPE) \
	   --prefix=$(_prefix) \
	   --mandir='$${datadir}/man' \
	   --infodir='$${datadir}/info' \
	   --without-flavor

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	cd setup && $(MAKE)

	touch $@

unpatch: unsed

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e $$f.dist ] ; then \
	    mv -f $$f.dist $$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f aclocal.m4
	rm -f configure
	rm -f config.guess
	rm -f config.sub
	rm -f ltmain.sh
	rm -f mkinstalldirs

	rm -f doxygen/Doxyfile*
	rm -f doxygen/Makefile.am
	rm -f pkgdata/Makefile.am
	rm -f pkgdata/*.filelist
	rm -f pkgdata/*.gpt
	rm -f globus_automake*
	rm -rf autom4te.cache

	cd setup && if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	for f in config.sub config.guess ; do \
	  if [ -e setup/$$f.dist ] ; then \
	    mv -f setup/$$f.dist setup/$$f ; \
	  fi ; \
	done

	# Remove autogenerated files

	rm -f setup/aclocal.m4
	rm -f setup/configure
	rm -f setup/config.guess
	rm -f setup/config.sub
	rm -f setup/ltmain.sh
	rm -f setup/mkinstalldirs

	rm -f setup/doxygen/Doxyfile*
	rm -f setup/doxygen/Makefile.am
	rm -f setup/pkgdata/Makefile.am
	rm -f setup/pkgdata/*.filelist
	rm -f setup/pkgdata/*.gpt
	rm -f setup/globus_automake*
	rm -rf setup/autom4te.cache

	find . -name Makefile.in -exec rm {} ';'

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(INSTALLDIR)

	cd setup && $(MAKE) install DESTDIR=$(INSTALLDIR)

	# Register setup
	perl -MGrid::GPT::Setup -e 'my $$metadata = new Grid::GPT::Setup(package_name => "$(_name)_setup", globusdir => "$(INSTALLDIR)$(_prefix)"); $$metadata->finish();'

	# This script is intended to be sourced, not executed
	chmod 644 $(INSTALLDIR)$(_datadir)/globus/setup/setup-globus-rls-server.pl

	# Remove the SXXrls.in file
	rm $(INSTALLDIR)$(_datadir)/globus/setup/SXXrls.in
	sed /SXXrls.in/d \
	  -i  $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_pgm.filelist
	sed -e 's/"SXXrls", //' -e '/SXXrls/d' \
	  -i $(INSTALLDIR)$(_datadir)/globus/setup/setup-globus-rls-server.pl

	# Fix man page section
	sed 's!^\(\.TH.*\) 1 !\1 8 !' \
	  $(INSTALLDIR)$(_mandir)/man1/globus-rls-reporter.1 > \
	  $(INSTALLDIR)$(_mandir)/man8/globus-rls-reporter.8
	rm $(INSTALLDIR)$(_mandir)/man1/globus-rls-reporter.1
	sed 's!/man1/\(.*\)\.1!/man8/\1.8!' \
	  -i $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist

	# Create setup files
	mkdir -p $(INSTALLDIR)/etc
	cat $(INSTALLDIR)$(_datadir)/globus/setup/odbc.ini.in \
	  | sed -e s!@libdir@!$(_libdir)/odbc!g \
	        -e s!@localstatedir@!/var/lib/$(name)!g \
	        -e s!libmyodbc3_r!libmyodbc!g \
	        -e s!psqlodbc!psqlodbcw!g \
	        -e s!@SQLITEODBCFLAVOR@!!g \
	        -e s!@LIBSUFFIX@!so!g \
	  > $(INSTALLDIR)/etc/$(name)-odbc.ini
	cat $(INSTALLDIR)$(_datadir)/globus/setup/$(name).conf.in \
	  | sed -e s!@ODBCINI@!/etc/$(name)-odbc.ini!g \
	        -e 's!^odbcini.*$$!&\npidfile\t\t\t/var/run/$(name).pid!g' \
	  > $(INSTALLDIR)/etc/$(name).conf
	chmod 600 $(INSTALLDIR)/etc/$(name).conf
	cat $(INSTALLDIR)$(_datadir)/globus/setup/rls-ldif.conf.in \
	  | sed s!@sbindir@!$(_sbindir)!g \
	  > $(INSTALLDIR)/etc/rls-ldif.conf

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_pgm.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_data.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)/noflavor_doc.filelist \
	    $(GLOBUSPACKAGEDIR)/$(_name)_setup/noflavor_pgm.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/$(name).install

	echo debian/tmp$(_datadir)/globus/packages/setup/$(_name)_setup/$(_name)_setup.gpt \
	  >> debian/$(name).install

	echo debian/tmp/etc/$(name)-odbc.ini \
	  >> debian/$(name).install
	echo debian/tmp/etc/$(name).conf \
	  >> debian/$(name).install
	echo debian/tmp/etc/rls-ldif.conf \
	  >> debian/$(name).install

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs debian/README
	dh_install --fail-missing
	dh_installman
	# We should start after and stop before mysql
	dh_installinit -- start 82 2 3 4 5 . stop 18 0 1 6 .
	dh_link
	dh_strip --dbg-package=globus-rls-server-dbg
	dh_compress
	dh_fixperms -X globus-rls-server.conf
	dh_perl
	dh_lintian
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

get-orig-source:
	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ ! -r gt5.0.0-all-source-installer.tar.bz2 ] ; then \
	    echo "Downloading Globus Toolkit release." ; \
	    echo "This should be necessary only once for all globus packages." ; \
	    wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.0/installers/src/gt5.0.0-all-source-installer.tar.bz2 ; \
	  fi ; \
	  echo "Extracting relevant parts of the Globus Toolkit release." ; \
	  tar -xjf gt5.0.0-all-source-installer.tar.bz2 \
	    gt5.0.0-all-source-installer/source-trees/replica/rls/server \
	    gt5.0.0-all-source-installer/source-trees/replica/rls/setup ; \
	  mv gt5.0.0-all-source-installer/source-trees/replica/rls/server \
	    $(name)-$(version) ; \
	  mv gt5.0.0-all-source-installer/source-trees/replica/rls/setup \
	    $(name)-$(version) ; \
	  echo "Packing it up again." ; \
	  GZIP=-9 tar --exclude=CVS -czf $(name)_$(version).orig.tar.gz \
	    $(name)-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf gt5.0.0-all-source-installer $(name)-$(version) ; \
	fi

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
